Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1494100

Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Product: [Fedora] Fedora Reporter: Michal Schorm <mschorm>
Component: net-snmpAssignee: Josef Ridky <jridky>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: acaringi, jridky, jsafrane, thozza
Target Milestone: ---Flags: jridky: needinfo+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: net-snmp-5.7.3-28.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-14 05:38:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1486480    
Attachments:
Description Flags
patch to use mariadb-connector-c-devel instead of mysql-devel none

Description Michal Schorm 2017-09-21 12:58:46 UTC
Hello, MariaDB went through big changes and your package will need a patch in order to build and work properly.

I tried to solve the issue, but I wasn't successful yet (at the time of bug creation).
I'll look into it more and post here the patch eventualy.


This change is currently applicable to the Rawhide (f28) only.


You can check builds I tried in COPR:
https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/packages/



For more information check the tracking bugzilla.

Comment 1 Augusto Caringi 2017-10-16 14:39:16 UTC
Created attachment 1339272 [details]
patch to use mariadb-connector-c-devel instead of mysql-devel

Comment 2 Augusto Caringi 2017-10-16 14:40:15 UTC
The main issue is that mariadb-connector-c dropped some header files. As far as I understand, the idea now is to include just the mysql.h.

I'm attaching a patch to replace the dependency (mariadb-connector-c-devel instead of mysql-devel) in spec file and also fix the building.

I didn't test the library, just the build.

Comment 4 Josef Ridky 2017-12-14 05:38:29 UTC
Fixed in rawhide. If it should be used even in older versions of fedora, please, let me know.

Comment 5 Michal Schorm 2017-12-14 13:44:23 UTC
No, it is only applicable to Rawhide.

Thanks :)